#include "config.h"

BIOS_BASE = CONFIG_BIOS_BASE;
BOOT_BASE = CONFIG_BOOT_BASE;
IRAM_BASE = CONFIG_IRAM_BASE;
STACK_BASE = CONFIG_STACK_BASE;
STACK_SIZE = CONFIG_STACK_SIZE;

SECTIONS
{
   . = BIOS_BASE;
   external : {
     . = ALIGN(4);
    *(.external);
   }

   . = BIOS_BASE + SIZEOF(external);
   bios : {
      . = ALIGN(4);
      *(.text)
      *(.rodata)
      . = ALIGN(4);
      *(.rodata.*)
      . = ALIGN(4);
   } 

   . = BOOT_BASE;
   reset : {
      *(.reset)
   } 
 
   . = IRAM_BASE;
   data : {
      *(.data)
      . = ALIGN(4);
      *(.bss)
      *(COMMON)
   }
}

ENTRY(reset)
